## org.eclipse.datatools.connectivity.oda.util.manifest
Class PropertyChoice

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.util.manifest.PropertyChoice

    public class PropertyChoice

extends java.lang.Object

A choice of property values for an extension-defined property.

Method Summary
`java.lang.String` `getDisplayName()` Returns the display name of the choice element.
`java.lang.String` `getName()` Returns the name of the choice element.
`java.lang.String` `getValue()` Returns the value of this choice of property values.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the choice element.

  Returns:
    the name of the choice

### getDisplayName

    public java.lang.String getDisplayName()

  Returns the display name of the choice element. Defaults to the choice name if no display name is specified.

  Returns:
    the display name of the choice

### getValue

    public java.lang.String getValue()

  Returns the value of this choice of property values.

  Returns:
    the value of the choice.